Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042943
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-01-20 09:262020-02-07 08:56
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revisiond869818445d6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042943: Apply new HQL Style in AverageCostAdjustment.java

DescriptionAverageCostAdjustment.java has five HQL queries with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0117319)
inigo_lerga (developer)
2020-01-29 12:26

Test Plan Mantis HQL queries:
Execute the TestCosting.java JUnit tests.
#In this moment all the modified HQLs are executed#
(0117531)
hgbot (developer)
2020-02-07 08:55

Repository: erp/devel/pi
Changeset: d869818445d69f4f401a61ac4f37dc94412e3f1e
Author: IƱigo Lerga <inigo.lerga <at> openbravo.com>
Date: Wed Jan 29 12:20:36 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d869818445d69f4f401a61ac4f37dc94412e3f1e [^]

fixes BUG-42943:Applied new HQL Style + finals added

---
M src/org/openbravo/costing/AverageCostAdjustment.java
---
(0117532)
hgbot (developer)
2020-02-07 08:55

Repository: erp/devel/pi
Changeset: 08293705eba0057a3609c62e7dced6df387fdcae
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Feb 07 08:54:31 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/08293705eba0057a3609c62e7dced6df387fdcae [^]

Related to ISSUE-42943. Code review changes:
  * Added back removed comments
  * Added back removed code
  * Added final modifiers

---
M src/org/openbravo/costing/AverageCostAdjustment.java
---
(0117533)
dmiguelez (developer)
2020-02-07 08:56

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-01-20 09:26 inigo_lerga New Issue
2020-01-20 09:26 inigo_lerga Assigned To => inigo_lerga
2020-01-20 09:26 inigo_lerga Modules => Core
2020-01-20 09:26 inigo_lerga Triggers an Emergency Pack => No
2020-01-20 09:26 inigo_lerga Relationship added related to 0041287
2020-01-20 09:26 inigo_lerga Status new => scheduled
2020-01-20 16:08 inigo_lerga Description Updated View Revisions
2020-01-29 12:26 inigo_lerga Note Added: 0117319
2020-02-07 08:55 hgbot Checkin
2020-02-07 08:55 hgbot Note Added: 0117531
2020-02-07 08:55 hgbot Status scheduled => resolved
2020-02-07 08:55 hgbot Resolution open => fixed
2020-02-07 08:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d869818445d69f4f401a61ac4f37dc94412e3f1e [^]
2020-02-07 08:55 hgbot Checkin
2020-02-07 08:55 hgbot Note Added: 0117532
2020-02-07 08:56 dmiguelez Review Assigned To => dmiguelez
2020-02-07 08:56 dmiguelez Note Added: 0117533
2020-02-07 08:56 dmiguelez Status resolved => closed
2020-02-07 08:56 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker